## org.apache.poi.ss.usermodel.charts
Enum AxisOrientation

    java.lang.Object
      java.lang.Enum<AxisOrientation>
          org.apache.poi.ss.usermodel.charts.AxisOrientation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AxisOrientation>

    public enum AxisOrientation

extends java.lang.Enum<AxisOrientation>

Specifies the possible ways to place a picture on a data point, series, wall, or floor.

Author:
  Roman Kashitsyn

Enum Constant Summary
`MAX_MIN` Specifies that the values on the axis shall be reversed so they go from maximum to minimum.
`MIN_MAX` Specifies that the axis values shall be in the usual order, minimum to maximum.

Method Summary
`static AxisOrientation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AxisOrientation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAX_MIN

    public static final AxisOrientation MAX_MIN

  Specifies that the values on the axis shall be reversed so they go from maximum to minimum.

### MIN_MAX

    public static final AxisOrientation MIN_MAX

  Specifies that the axis values shall be in the usual order, minimum to maximum.

Method Detail

### values

    public static AxisOrientation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AxisOrientation c : AxisOrientation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AxisOrientation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.